Bug 197263 - cmirror not returning correct code for 'flush' logging fucntion
cmirror not returning correct code for 'flush' logging fucntion
Status: CLOSED WORKSFORME
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
4
All Linux
high Severity high
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks: 180185
  Show dependency treegraph
 
Reported: 2006-06-29 14:44 EDT by Jonathan Earl Brassow
Modified: 2010-01-11 21:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-30 16:04:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jonathan Earl Brassow 2006-06-29 14:44:48 EDT
The cluster mirror log was always returning 0 on flush - relying on the
mark_region call to suspend and handle recovery.  This is no longer the way the
kernel is coded to work.  Now, the marks happen and the flush tells us whether
the log has successfully been written.

Without a fix, a log device failure could result in indefinite cluster mirror
suspension.

(Found during user testing.)
Comment 1 Corey Marthaler 2008-06-30 16:04:30 EDT
Closing this bug...

Note You need to log in before you can comment on or make changes to this bug.